OpenVDB 7.0.0

Static Public Member Functions | List of all members
CPT< MapType, DiffScheme > Struct Template Reference

Compute the closest-point transform to a level set. More...

`#include <Operators.h>`

## Static Public Member Functions
template<typename Accessor >
static math::Vec3< typename Accessor::ValueType > | result (const MapType &map, const Accessor &grid, const Coord &ijk)
template<typename StencilT >
static math::Vec3< typename StencilT::ValueType > | result (const MapType &map, const StencilT &stencil)

## Detailed Description

### template<typename MapType, DScheme DiffScheme>
struct openvdb::v7_0::math::CPT< MapType, DiffScheme >

Compute the closest-point transform to a level set.

Returns
  the closest point to the surface from which the level set was derived, in the domain space of the map (e.g., voxel space).

## Member Function Documentation

## ◆ result() [1/2]

static math::Vec3<typename Accessor::ValueType> result | ( | const MapType & | map,
|  | const Accessor & | grid,
|  | const Coord & | ijk
| ) |  |
| inline static

## ◆ result() [2/2]

static math::Vec3<typename StencilT::ValueType> result | ( | const MapType & | map,
|  | const StencilT & | stencil
| ) |  |
| inline static

The documentation for this struct was generated from the following file:

- Operators.h